Hallo Anwender meiner ATARI-Elektronik-PD-Programme,

ELEC1197 entspricht im Wesentlichen dem aelteren ELECFORM. Einziger 
Unterschied ist, dass diesem Packet alle meine PD-Programme zu diesem 
Thema enthalten sind. So auch die beiden TTP-Programme 'DB_CALC' und 
'THERMO'. Neu im Programmpacket ELEC1197 ist, dass bei all den 
Programmen, welche im obeeren Bildbereich ein Schema laden, die 
Menuesteuerung darunter, auf Grund einer Empfehlung eines Anwenders, 
etwas logischer umgestaltet wurden. Ansonsten blieb alles beim Alten.



Hardware- oder Emulator-Voraussetzung
=====================================

Alle vorliegenden Programme entwickelte ich urspruenglich fuer den
Eigenbedarf. Ich erhebe auf Grund meiner Programmierkenntnisse nicht den 
Anspruch, dass sie 'sauber' programmiert sind. 

ATARI-ST unter TOS-1.04 und High-Resolution 640x400
---------------------------------------------------
Die Programme laufen garantiert stoerungsfrei beim Einsatz von 
(MEGA)ST-Rechnern unter TOS-1.04 mit einem SM124- oder SM125-Monitor in 
High-Resolution mit 640x400 Pixeln. Auch unter Einsatz von NVDI-3.02 und 
der QUANTOS-Betriebssystemerweiterung gibt es keine Probleme.

Magic-PC Version 1.2 auf einem PENTIUM-PC
-----------------------------------------
Jemand testete fuer mich diese Programme mit dem ATARI-ST-Emulator
Magic-PC-1.2 von ASH. Es funktionieren alle Programme, wobei diejenigen
Programme mit den Schaltbildern nur in der TOS-Form laufen. Wichtige 
Voraussetzung ist die Installation des TOS-1.04, das bei Magic-PC-1.2 
moeglich ist. Dass dies ueberhaupt funktioniert ist mehr als 
erstaunlich, weil die Bildentpackungsroutinen alte 
Assembler/INLINE-Codes sind und die Kleinsetzung der TOS-Schrift fuer 
die Ein- und Ausgabe eine unsaubere Programmierung ist.



Quelltexte
==========

Auf welchem Mist gewachsen...
-----------------------------
Die GFA- und C-Quelltexte sind von mir programmiert. Die Assembler- und 
INLINE-Routinen, die fuer das Entpacken von Schaltbildern im Einsatz 
sind, stammen nicht von mir, wurden aber zur Weitergabe freigegeben.

Grosszuegigkeit
---------------
Die Quelltexte meiner PD-Programme gebe ich stets frei. Werden diese 
Quelltexte veraendert oder erweitert, waere ich dankbar, wenn man mich 
benachrichtigt und eine neue Version ebenfalls mit Quelltext(e) 
zusendet. Ich werde dann diese erweiterte Version ebenfalls zum 
obengenannten FTP-Server und PD-Pool weitergeben. Natuerlich wird der 
Name desjenigen der erweitert hat, ebenfalls eingetragen und somit 
bekanntgegeben.

Eigenwillige Weitergabe
-----------------------
Auch wenn nur eines der Programme weitergegeben wird, muss dieser 
jeweilig von mir aktuelle Text ELECxxxx.MAN unveraendert beigefuegt 
werden. Veraenderungen oder Erweiterungen eines Programmes, muessen auf 
einer separaten Textdatei verfasst und beigelegt werden. Werden einzelne 
Programme weitergegeben, welche PAC-Bilder einlesen, also STADDEC.INL 
dabei ist, muss auch dessen Assemblerquelltext LOADSTAD.ASS beigefuegt 
werden. Siehe Directory ASS_INL.

ELECxxxx ist stets die Bezeichnung des gesamten Directory das alle 
weiter untenstehenden Programme umfasst.



Anwendung
=========

Kredo: Der Autor, - also ich - , ist immer unschuldig...
--------------------------------------------------------
Ich uebernehme keine Verantwortung fuer meine Programme! Wenn jemand es 
schaffen sollte, seinen Computer mit Hilfe meiner Programme in die 
ewigen Elektronenjagdgruende zu schicken oder sonst einen Schaden 
anrichtet, so ist das alleine seine Sache. Ich bin unschuldig! Bei mir 
laufen alle Programme problemlos und absturzfrei.

Weitergabe nach einer Erweiterung, Erneuerung...
------------------------------------------------
Wenn ich an einem der Programme im Packet ELEC1197 etwas erweitert, 
veraendert oder verbessert habe, landet das ganze Packet mit einem neuen 
Datum ELECxxxx, ZIP verpackt, auf einem oder mehreren FTP-Servern, den 
oder die ich jeweils in den folgenden Newsgruppen des UseNet und MAUSNET 
(evtl. auch in der einen oder andern Z-NETZ-Gruppen) bekanntmache:

  maus.elektronik         (MAUSNET)
  maus.sys.atari.software (MAUSNET)  <--- noch immer sehr aktiv!
  de.sci.electronics      (INTERNET)
  de.comp.sys.st          (INTERNET) <--- nur noch tote Hose!

Falls sich jemand bemueht, ELECxxxx in eine MAUS-Box zu hieven, gebe ich 
dies in den obengenannten Newsgruppen ebenfalls bekannt. Daher bitte 
unbedingt mitteilen! 

Der von mir bevorzugte FTP-Server ist der von der Technischen 
Universitaet Berlin, der bis heute einen sehr guten ATARI-Service 
bietet. Der Dank dafuer geht an Herwig Schelauske!

  FTP-Server:             ftp.cs.tu-berlin.de
  Pfad:                   /pub/atari
  Verantwortlicher:       hesche@cs.zu-berlin.de  (Herwig Schelauske)


Ich update meine PD-Programme ebenfalls in den PD-Pool der 
ATARI-Sektion des COMPUTER-CLUB-ELMSHORN:

  Computer Club Elmshorn e.V.
  - gemeinnuetzig -
  ATARI ST/TT/FALCON-Gruppe
  Postfach 261
  D-25302 Elmshorn
  zustaendig ist Jens Schulz



Was ist alles zu haben?
=======================

Quelltexte mit einem * wurden veraendert...

ELEC1197/
---------
|
|_____ELECFORM  (Blindwiderstaende von Kapazitaeten und Induktivitaeten)
|         |     (Berechnung von Parallelwiderstaenden (max. 10))
|         |     (Toleranztabelle fuer Widerstaende (1 - 20%))
|         |     (Kondensatorspannung als Funktion von T, R und C)
|         |     (Einschaltimpuls  Trafo-Sek --> Gleichr. --> Kond.)
|         |     (Netzteil  Trafo --> Gleichr. --> Sieb. --> Regler)
|         |     (Operationsverstaerker:  Slewrate / Bandb. / Spannung)
|         |
|         |_____ELECFORM.C   *  TURBO-2.0-C-Quelltext
|         |_____ELECFORM.PRJ    TURBO-2.0-C-Projektdatei
|         |_____TOS_HEAD.H      TURBO-2.0-C-Headerdatei
|         |_____ELECFORM.TOS    TOS-Applikation
|         
|
|_____DREIECKG  (Berechnung von Dreiecksignalgeneratoren mit 2 Opamp)
|         |
|         |_____DREIECKG.GFA *  GFA-Quelltext, entaehlt INLINE-Code
|         |_____DREIECKG.LST *  ASCII-Quelltext, ohne INLINE-Code
|         |_____DREIECKG.PAC    Schaltschema, STAD-Format
|         |_____DREIECKG.PRG    Applikation
|         
|
|_____RC_HPTP   (Berechnungen von Hoch- und Tiefpassfilt. 1. Ordnung)
|         |
|         |_____RC_HPTP.GFA  *
|         |_____RC_HPTP.LST  *
|         |_____RC_HPTP.PAC
|         |_____RC_HPTP.PRG
|         
|
|_____POTMETER  (Aus linearem Potmeter mach ein quasi-logarithmisches)
|         |
|         |_____POTMETER.GFA
|         |_____POTMETER.LST
|         |_____POTMETER.PAC
|         |_____POTMETER.PRG
|         
|
|_____VOLTREG   (Berechnungen von Spannungsregelschaltungen)
|         |
|         |_____VOLTREG.GFA  *
|         |     VOLTREG-LST  *
|         |_____VOLTREG.PAC
|         |_____VOLTREG.PRG
|         
|
|_____LM555     (Berechnungen mit dem Universal-Timer 555)
|         | 
|         |_____LM555.GFA    *
|         |_____LM555.LST    *
|         |_____LM555.PAC
|         |_____LM555.PRG
| 
|
|_____ZOLL_MM   (Umrechnung von mm in zoll, Skizzierunterstuetzung)
|         |
|         |_____ZOLL_MM.GFA
|         |_____ZOLL_MM.LST
|         |_____ZOLL_MM.PRG
| 
|
|_____GITARTUN  (Gitarren-Tuner, Bezug auf eine ELEKTOR-Schaltung)
|         |
|         |_____GITARRE.GFA
|         |_____GITARRE.LST
|         |_____MICAMP.PAC
|         |_____GITARRE.PRG
|         
|
|_____DB_CALC   (Umrechnung Dezibel <--> Veraerkung/Daempfung)
|         |
|         |_____README.DOC
|         |_____README.TXT
|         |_____DB_CALC.C
|         |_____DB_CALC.TTP
|         
|
|_____THERMO    (Umrechnung Celius, Kelvin und Fahrenheit)
|         |
|         |_____README.DOC
|         |_____README.TXT
|         |_____THERMO.C
|         |_____THERMO.TTP
|         
|
|_____INP_OUTP  (Ein- und Ausgaberoutinen mit Groessenordnungssymbolen
|         |      in GFA-3.5-BASIC und TURBO-2.0-C. Geeignet fuer jeden
|         |      Programmierer auf allen Computersystemen.)
|         | 
|         |     INP_OUTP wurde in einem Artikel in der ST-COMPUTER 4/96 
|         |     auf Seite 68 publiziert!
|         |
|         |_____QUELLTXT (Alle Quelltexte in GFA-3.5-BASIC und TURBO-2.0-C)
|         |         |
|         |         |_____FILE_PRG.TC  (auch anwendbar auf andern Systemen)
|         |         |         |
|         |         |         |_____INP_OUTP.C
|         |         |         |_____INP_OUTP.H
|         |         |         |_____INP_OUTP.PRJ
|         |         |         |_____INP_OUTP.TOS (Demoprogramm)
|         |         |         
|         |         |_____FILE_PRG.GFA (ATARI-ST-spezifisch)
|         |                   |
|         |                   |_____INP_OUTP.GFA
|         |                   |_____INP_OUTP.LST
|         |                   |_____INP_OUTP.PRG (Demoprogramm)
|         |         
|         |_____MANUSKPT (Manuskripte zur Idee und den Quelltexten)
|                   |
|                   |_____DOKUMENT
|                   |         |
|                   |         |_____INP_OUTP.TXT (DOC = First-Word-Plus)
|                   |         |_____INP_OUTP.DOC (TXT = ASCII-Format)
|                   |
|                   |_____LISTINGS.TC
|                   |         |
|                   |         |_____C_FILE.DOC
|                   |         |_____C_FILE.TXT
|                   |         |_____IN_OUT_H.DOC
|                   |         |_____IN_OUT_H.TXT
|                   |         |_____IN_OUT_P.DOC
|                   |         |_____IN_OUT_P.TXT
|                   |         
|                   |_____LISTINGS.GFA
|                             |
|                             |_____GFA_FILE.DOC
|                             |_____GFA_FILE.TXT
|
|_____ASS_INL
          |
          |_____LOADSTAD.ASS  (Assembler fuer PAC-Bild-Dekompression)
          |_____STADDEC.INL   (... dazugehoeriger INLINE-Code)
 

Autor:  Thomas Schaerer
        Im Lindenhof 6
        CH-8307 Effretikon
        E-Mail: schaerer@isi.ee.ethz.ch

-EOF-
